org.apache.lucene.codecs.compressing

## Class HighCompressionCompressingCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.compressing.CompressingCodec
      - - org.apache.lucene.codecs.compressing.HighCompressionCompressingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class HighCompressionCompressingCodec
    extends CompressingCodec

CompressionCodec that uses `CompressionMode.HIGH_COMPRESSION`

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`HighCompressionCompressingCodec()` Default constructor.
`HighCompressionCompressingCodec(int chunkSize, int maxDocsPerChunk, boolean withSegmentSuffix, int blockSize)` Constructor that allows to configure the chunk size.

### Method Summary

### Methods inherited from class org.apache.lucene.codecs.compressing.CompressingCodec

`randomInstance, randomInstance, randomInstance, reasonableInstance, storedFieldsFormat, termVectorsFormat, toString`

### Methods inherited from class org.apache.lucene.codecs.FilterCodec

`compoundFormat, docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, pointsFormat, postingsFormat, segmentInfoFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HighCompressionCompressingCodec

    public HighCompressionCompressingCodec(int chunkSize,
                                           int maxDocsPerChunk,
                                           boolean withSegmentSuffix,
                                           int blockSize)

Constructor that allows to configure the chunk size.

#### HighCompressionCompressingCodec

    public HighCompressionCompressingCodec()

Default constructor.